--- old/usr/src/uts/common/sys/scsi/targets/sddef.h	2015-08-19 07:25:23.829152216 -0400
+++ new/usr/src/uts/common/sys/scsi/targets/sddef.h	2015-08-19 07:25:23.834902130 -0400
@@ -1136,7 +1136,6 @@
  * Miscellaneous macros
  */
 
-#define	SD_USECTOHZ(x)			(drv_usectohz((x)*1000000))
 #define	SD_GET_PKT_STATUS(pktp)		((*(pktp)->pkt_scbp) & STATUS_MASK)
 
 #define	SD_BIOERROR(bp, errcode)					\
@@ -1316,11 +1315,10 @@
 #define	SD_THROTTLE_TRAN_BUSY		0
 #define	SD_THROTTLE_QFULL		1
 
-#define	SD_THROTTLE_RESET_INTERVAL	\
-	(sd_reset_throttle_timeout * drv_usectohz(1000000))
+#define	SD_THROTTLE_RESET_INTERVAL	drv_sectohz(sd_reset_throttle_timeout)
 
 #define	SD_QFULL_THROTTLE_RESET_INTERVAL	\
-	(sd_qfull_throttle_timeout * drv_usectohz(1000000))
+	drv_sectohz(sd_qfull_throttle_timeout)
 
 
 /*
@@ -1716,7 +1714,7 @@
 /*
  * 5 seconds is what we'll wait if we get a Busy Status back
  */
-#define	SD_BSY_TIMEOUT			(drv_usectohz(5 * 1000000))
+#define	SD_BSY_TIMEOUT			drv_sectohz(5)
 
 /*
  * 100 msec. is what we'll wait if we get Unit Attention.
@@ -1731,7 +1729,7 @@
 /*
  * 10s misaligned I/O warning message interval
  */
-#define	SD_RMW_MSG_PRINT_TIMEOUT	(drv_usectohz((clock_t)10000000))
+#define	SD_RMW_MSG_PRINT_TIMEOUT	drv_sectohz(10)
 
 /*
  * 100 msec. is what we'll wait for certain retries for fibre channel
